<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:f="jakarta.faces.core"
	xmlns:h="jakarta.faces.html" xmlns:ui="jakarta.faces.facelets"
	xmlns:bw="http://www.scc.kit.edu/bwfacelets"
	xmlns:p="http://primefaces.org/ui">
<head>
<title></title>
</head>
<body>
	<f:view>
		<f:metadata>
			<f:viewParam name="projectId"
				value="#{editClientProjectBean.projectId}" />			
		</f:metadata>


		<ui:composition template="/template/default.xhtml">
			<ui:param name="title" value="#{messages.title}" />

			<ui:define name="content">
				<h:form id="form" styleClass="full">

					<h2>
						<h:outputText
							value="#{messages['project.edit']}: #{editClientProjectBean.entity.name}" />
					</h2>

					<p:messages showDetail="true" />

					<p:panel>
						<h:panelGrid id="baseData" columns="2"
							columnClasses="labelColumn, elementColumn" styleClass="form">

							<bw:outputText id="nameField" label="#{messages.name}"
								value="#{editClientProjectBean.entity.name}" />

							<bw:inputText id="shortDescField"
								label="#{messages.short_description}"
								value="#{editClientProjectBean.entity.shortDescription}"
								required="true" />

							<bw:inputText id="descField" label="#{messages.description}"
								value="#{editClientProjectBean.entity.description}"
								required="true" />

							<p:commandButton id="save" action="#{editClientProjectBean.save}"
								value="#{messages.save}" validateClient="true" ajax="true"
								update="form"
								/>
								
							<p:commandButton id="cancel"
								action="#{editClientProjectBean.cancel}"
								value="#{messages.cancel}" immediate="true" />

						</h:panelGrid>
					</p:panel>

				</h:form>

			</ui:define>
		</ui:composition>
	</f:view>
</body>
</html>

